=== debian/changelog ===
tasksh (1.0.0-3) unstable; urgency=medium

  * Add patch to define PATH_MAX if not defined (Closes: #829626)

 -- Iain R. Learmonth <irl@debian.org>  Mon, 25 Jul 2016 18:21:52 +0100

tasksh (1.0.0-2) unstable; urgency=medium

  * debian/control:
   - Add dependency on taskwarrior.
   - Add Breaks+Replaces for taskwarrior (<< 2.4.0) which previously shipped
     tasksh.

 -- Iain R. Learmonth <irl@debian.org>  Tue, 05 Jul 2016 11:09:13 +0100

tasksh (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #828692)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 03 Jul 2016 16:20:37 +0100
