=== debian/control ===
Source: tasksh
Section: utils
Priority: optional
Maintainer: Debian Tasktools Packaging Team <pkg-tasktools-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Build-Depends: debhelper (>= 9), cmake
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-tasktools/tasksh.git
Vcs-Git: https://anonscm.debian.org/git/pkg-tasktools/tasksh.git
Homepage: http://tasktools.org/projects/tasksh.html

Package: tasksh
Architecture: any
Breaks: taskwarrior (<< 2.4.0)
Replaces: taskwarrior (<< 2.4.0)
Depends: ${shlibs:Depends}, ${misc:Depends}, taskwarrior
Description: shell command that wraps Taskwarrior commands
 Tasksh is a shell command that wraps Taskwarrior commands. It is
 intended to provide simpler Taskwarrior access, and add a few new
 features of its own.
 .
 Tasksh replaces the built-in shell command of older releases, and the
 bundled tasksh program of version 2.3.0.
