=== debian/changelog ===
tasksh (1.1.0-2) unstable; urgency=medium

  * Adds Build-Depends on libreadline to enable support.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Sep 2016 21:39:59 +0100

tasksh (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.

 -- Iain R. Learmonth <irl@debian.org>  Mon, 05 Sep 2016 20:41:45 +0100
