=== debian/changelog ===
tasksh (1.2.0-3) unstable; urgency=medium

  * QA upload.

  [ Santiago Vila ]
  * Fix clean target in a more simple way

  [ Andreas Tille ]
  * Maintain in Debian QA Group since there is no human maintainer

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 14:12:14 +0100

tasksh (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Remove MIA uploaders

  [ Andreas Tille ]
  * Fix watch file
  * Fix Vcs fields
  * d/copyright: Fix Source location
  * d/rules: Fix clean target
    Closes: #1046804
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Andreas Tille <tille@debian.org>  Fri, 26 Dec 2025 07:46:51 +0100

tasksh (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113559)
  * debian/control: Update Homepage.

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 05:55:16 +0200

tasksh (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0
  * d/compat: Bump compat. version to 10
  * d/control:
    + Use HTTPS for homepage URL
    + Bump Standard-Version to 4.0.0 (no changes needed)
  * d/patches: Refresh Debian patches

 -- Sebastien Badia <sbadia@debian.org>  Sun, 02 Jul 2017 13:06:44 +0200
