=== debian/control ===
Source: tasksh
Section: utils
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libreadline-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/tasktools-team/tasksh
Vcs-Git: https://salsa.debian.org/tasktools-team/tasksh.git
Homepage: https://taskwarrior.org/

Package: tasksh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, taskwarrior
Description: shell command that wraps Taskwarrior commands
 Tasksh is a shell command that wraps Taskwarrior commands. It is
 intended to provide simpler Taskwarrior access, and add a few new
 features of its own.
 .
 Tasksh replaces the built-in shell command of older releases, and the
 bundled tasksh program of version 2.3.0.
